
AddEventHandler('playerDropped', function() 
	local src = source;
    local ids = ExtractIdentifiers(src);
    local discord = ids.discord;
	if IsPlayerAceAllowed(src, "gravStaffLog") then
        sendToDisc("" .. GetPlayerName(src) .. " has ended their staff log!", "<@" .. discord:gsub('discord:', '') .. ">")
    end
end)

AddEventHandler('playerConnecting', function()
    local src = source;
    local ids = ExtractIdentifiers(src);
    local discord = ids.discord;
    if IsPlayerAceAllowed(src, "gravStaffLog") then
        sendToDisc("" .. GetPlayerName(src) .. " has started their staff log!", "<@" .. discord:gsub('discord:', '') .. ">")
    end
end)

webhookURL = 'webhook url goes here'
function sendToDiscJoin(title, message)
	local embed = {}
	embed = {
		{
			["color"] = 65280, -- GREEN = 65280 --- RED = 16711680
            ["description"] = "" .. message ..  "",
			["title"] = "**".. title .."**"
		}
	}
	PerformHttpRequest(webhookURL, 
	function(err, text, headers) end, 'POST', json.encode({username = 'Staff Logs', embeds = embed}), { ['Content-Type'] = 'application/json' })
end 
function sendToDiscLeave(title, message)
	local embed = {}
	embed = {
		{
			["color"] = 16711680, -- GREEN = 65280 --- RED = 16711680
            ["description"] = "" .. message ..  "",
			["title"] = "**".. title .."**"
		}
	}
	PerformHttpRequest(webhookURL, 
	function(err, text, headers) end, 'POST', json.encode({username = 'Staff Logs', embeds = embed}), { ['Content-Type'] = 'application/json' })
end 

function ExtractIdentifiers(src)
    local identifiers = {
        steam = "",
        ip = "",
        discord = "",
        license = "",
        xbl = "",
        live = ""
    }
    for i = 0, GetNumPlayerIdentifiers(src) - 1 do
        local id = GetPlayerIdentifier(src, i)
        if string.find(id, "steam") then
            identifiers.steam = id
        elseif string.find(id, "ip") then
            identifiers.ip = id
        elseif string.find(id, "discord") then
            identifiers.discord = id
        elseif string.find(id, "license") then
            identifiers.license = id
        elseif string.find(id, "xbl") then
            identifiers.xbl = id
        elseif string.find(id, "live") then
            identifiers.live = id
        end
    end
    return identifiers
end